using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using ZedGraph;

namespace ClickCoordinates
{
	public partial class Form1 : Form
	{
		public Form1 ()
		{
			InitializeComponent ();

			DrawGraph ();
		}

		/// <summary>
		///   MouseClick.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void zedGraph_MouseClick (object sender, MouseEventArgs e)
		{
			//        
			double x, y;

			//      
			//  ZedGraph     ReverseTransform.
			zedGraph.GraphPane.ReverseTransform (e.Location, out x, out y);

			//  
			string text = string.Format ("X: {0};    Y: {1}", x, y);
			coordLabel.Text = text;
		}

		private double f (double x)
		{
			if (x == 0)
			{
				return 1;
			}

			return Math.Sin (x) / x;
		}

		private void DrawGraph ()
		{
			//    
			GraphPane pane = zedGraph.GraphPane;

			//      ,       
			pane.CurveList.Clear ();

			//   
			PointPairList list = new PointPairList ();

			double xmin = -50;
			double xmax = 50;

			//   
			for (double x = xmin; x <= xmax; x += 0.01)
			{
				//    
				list.Add (x, f (x));
			}

			//     "Sinc", 
			//      (Color.Blue),
			//      (SymbolType.None)
			LineItem myCurve = pane.AddCurve ("Sinc", list, Color.Blue, SymbolType.None);

			//   
			pane.XAxis.MajorGrid.IsVisible = true;
			pane.YAxis.MajorGrid.IsVisible = true;

			//   AxisChange (),     . 
			//          , 
			//      ,   
			zedGraph.AxisChange ();

			//  
			zedGraph.Invalidate ();
		}
	}
}